Subject: Re: [PATCH 1/2] grep/pcre2: limit the instances in which UTF mode is enabled

From: Junio C Hamano <[email-masked]>
Date: Thu, 18 Nov 2021 12:53:56 -0800

Carlo Marcelo Arenas Belón <[email-masked]> writes:

> I have to admit that adding to a complex condition might be obscuring
> some other edge case, and indeed the fact the test passed even without
> this fix is concerning.
>
> From my reading of what Ævar suggested originally[1], it would seem that
> the new is_log condition should be on an branch of its own, and more code
> should be needed to make sure the contents we are going to use are indeed
> utf8 by the time it hits pcre2_*match() before setting it.

At least, let's not consider pursuing this approach to pile on more
iffy code on top of broken code in the release.  Unless I hear
otherwise, I am leaning to revert the whole three patches of the
original series and call it a day for both 'maint' (for 2.34.1) and
'master'.

Thanks.